aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-02 18:56:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-02 18:56:42 +0000
commitbc35c03601dc0bd3ec51378dd64abafdf1338349 (patch)
tree96a92bbd616e98f253971f8e010cc4475f00a093 /x11
parent560f4f9c38e2d51788b68a4b0164b1d5f08daf90 (diff)
downloadaports-bc35c03601dc0bd3ec51378dd64abafdf1338349.tar.gz
aports-bc35c03601dc0bd3ec51378dd64abafdf1338349.tar.bz2
aports-bc35c03601dc0bd3ec51378dd64abafdf1338349.tar.xz
x11/ristretto: new aport
Ristretto is a image viewer for Xfce http://goodies.xfce.org/projects/applications/ristretto
Diffstat (limited to 'x11')
-rw-r--r--x11/ristretto/APKBUILD28
l---------x11/ristretto/ristretto.post-deinstall1
-rw-r--r--x11/ristretto/ristretto.post-install6
l---------x11/ristretto/ristretto.post-upgrade1
4 files changed, 36 insertions, 0 deletions
diff --git a/x11/ristretto/APKBUILD b/x11/ristretto/APKBUILD
new file mode 100644
index 0000000000..5c651efb77
--- /dev/null
+++ b/x11/ristretto/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ristretto
+pkgver=0.0.22
+pkgrel=0
+pkgdesc="Ristretto is a image viewer for Xfce"
+url="http://goodies.xfce.org/projects/applications/ristretto"
+license="GPL-2"
+depends="desktop-file-utils hicolor-icon-theme"
+makedepends="pkgconfig libxfcegui4-dev dbus-glib-dev libexif-dev intltool
+ gettext-dev libiconv-dev thunar-dev"
+install="ristretto.post-install ristretto.post-upgrade ristretto.post-deinstall"
+source="http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.gz
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="978ae19472c5a0b7d4b6622a68234a67 ristretto-0.0.22.tar.gz
+9ba052c0be9f3e3ae52ef7d45083efa3 ristretto.post-install
+9ba052c0be9f3e3ae52ef7d45083efa3 ristretto.post-upgrade
+9ba052c0be9f3e3ae52ef7d45083efa3 ristretto.post-deinstall"
diff --git a/x11/ristretto/ristretto.post-deinstall b/x11/ristretto/ristretto.post-deinstall
new file mode 120000
index 0000000000..545052657f
--- /dev/null
+++ b/x11/ristretto/ristretto.post-deinstall
@@ -0,0 +1 @@
+ristretto.post-install \ No newline at end of file
diff --git a/x11/ristretto/ristretto.post-install b/x11/ristretto/ristretto.post-install
new file mode 100644
index 0000000000..e3be6863e2
--- /dev/null
+++ b/x11/ristretto/ristretto.post-install
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+update-desktop-database -q
+gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+
+
diff --git a/x11/ristretto/ristretto.post-upgrade b/x11/ristretto/ristretto.post-upgrade
new file mode 120000
index 0000000000..545052657f
--- /dev/null
+++ b/x11/ristretto/ristretto.post-upgrade
@@ -0,0 +1 @@
+ristretto.post-install \ No newline at end of file